// package posy -- позиция объекта по Y
package posy

import "p78git.ddns.net/svi/libtui/alias"

// PosY -- позиция по Y
type PosY struct {
	val alias.PosY
}

// NewPosY -- возвращает новую позицию по Y
func NewPosY() *PosY {
	sf := &PosY{}
	return sf
}

// Get -- возвращает позицию по Y
func (sf *PosY) Get() alias.PosY {
	return sf.val
}

func (sf *PosY) Set(posY alias.PosY) {
	sf.val = posY
}
